Page MenuHomePhabricator

Add "help" links to special pages added by extensions [2]
Closed, ResolvedPublic

Description

The following special pages appear to be missing help links. This is not an exhaustive list. The suggested target for each is also given. I'll leave this for a few days for any feedback about the targets before uploading patches.

  • Extension:Gadgets (2)

Special:GadgetUsage, Special:Gadgets -> Extension:Gadgets (on mediawiki, no dedicated help page exists)

  • Extension:Nuke (1}

Special:Nuke -> Help:Extension:Nuke (on mediawiki)

  • Extension:StructuredDiscussions (1)

Special:StructuredDiscussions -> Help:Structured_Disicussions (on mediawiki)

  • Extension:OAuth (4)

Special:OAuthListConsumers, Special:OAuthManageMyGrants, Special:OAuthManageConsumers, Special:OAuthConsumerRegistration -> Help:OAuth (on mediawiki)

  • Extension:CategoryTree (1)

Special:CategoryTree -> Extension:CategoryTree (on mediawiki, no dedicated help page exists)

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 15 2019, 3:36 PM

Change 523996 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Gadgets@master] Add help links to special pages

https://gerrit.wikimedia.org/r/523996

Change 523998 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Nuke@master] Add help links to special pages

https://gerrit.wikimedia.org/r/523998

Change 524000 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@master] Add help links to special pages

https://gerrit.wikimedia.org/r/524000

Change 524001 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/OAuth@master] Add help links to special pages

https://gerrit.wikimedia.org/r/524001

Change 524002 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CategoryTree@master] Add help links to special pages

https://gerrit.wikimedia.org/r/524002

DannyS712 added a subscriber: Huji.

@Huji it is okay to add you as a reviewer for all of these too?

@DannyS712 could you please split this task into multiple tasks, so there is one thing being done per task? That will make it easier for teams to triage. Thank you!

kostajh moved this task from Inbox to External on the Growth-Team board.Jul 18 2019, 1:13 AM

Moving to external as a non Growth-Team developer is working on it.

@DannyS712 I can review the patch again when the feedback I left is addressed.

@DannyS712 could you please split this task into multiple tasks, so there is one thing being done per task? That will make it easier for teams to triage. Thank you!

I've been doing these in (manageable) batches, since these are fairly small changes individually, and I didn't think I should be creating dozens of tasks for them. I've responded to your feedback

Change 524000 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add help links to special pages

https://gerrit.wikimedia.org/r/524000

DannyS712 updated the task description. (Show Details)Jul 18 2019, 6:11 PM

Change 524002 merged by jenkins-bot:
[mediawiki/extensions/CategoryTree@master] Add help links to special pages

https://gerrit.wikimedia.org/r/524002

Change 523996 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@master] Add help links to special pages

https://gerrit.wikimedia.org/r/523996

Change 523998 merged by jenkins-bot:
[mediawiki/extensions/Nuke@master] Add help links to special pages

https://gerrit.wikimedia.org/r/523998

DannyS712 updated the task description. (Show Details)Jul 23 2019, 9:34 PM
Seb35 added a subscriber: Seb35.Oct 8 2019, 1:44 PM

I created a help page for usage of Nuke Help:Extension:Nuke, answering some questions collected on the talk page. I propose to modify the link for this specific page.

Change 541546 had a related patch set uploaded (by Seb35; owner: Seb35):
[mediawiki/extensions/Nuke@master] Use the help page dedicated to usage

https://gerrit.wikimedia.org/r/541546

Change 524001 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Add help links to special pages

https://gerrit.wikimedia.org/r/524001

DannyS712 updated the task description. (Show Details)Dec 8 2019, 3:19 AM
DannyS712 updated the task description. (Show Details)

Change 541546 merged by jenkins-bot:
[mediawiki/extensions/Nuke@master] Use the help page dedicated to usage

https://gerrit.wikimedia.org/r/541546

DannyS712 closed this task as Resolved.Feb 23 2020, 10:24 AM
DannyS712 removed a project: Patch-For-Review.
DannyS712 updated the task description. (Show Details)